### Method

# FwupdPlugin Context set_path

since: 2.1.1

#### Declaration [src]

    void
    fu_context_set_path (
      FuContext* self,
      FuPathKind kind,
      const gchar* dirname
    )

#### Description [src]

Sets a well-known path.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuPathKind`

  A `FuPathKind`.

`dirname`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.